void derivs(float x, float y[], float dydx[])
/*
 *  Gives time derivatives of the vector y
 *  y1 = x
 *  y2 = dx/dt = v
 *  Original equation is
 *
 *  x'' + omega^2 x = 0
 *
 *  which when broken donw into two first order equations is
 *  x' = v
 *  v' = -omega^2 x
 *
 */
{

      static float omega2=4.0;

      dydx[1]=y[2];
      dydx[2]=-omega2*y[1];
}
