#include <stdio.h>
#include <math.h>
#include "nrutil.h"
#define NRANSI

/*
 * Integrates an ODE describing a harmonic oscillator
 */

float *xx, **y;

void derivs(float, float [], float []);

void rk4(float y[], float dydx[], int n, float x, float h, float yout[],
        void (*derivs)(float, float [], float []));

void rkdumb(float vstart[], int nvar, float x1, float x2, int nstep,
        void (*derivs)(float, float [], float []));


int main()
{
  int nvar=2;
  int i, nstep, nstep1;
  float *ystart,t1,t2;


  FILE* file;

  ystart=vector(1,nvar);


  ystart[1]=1.;
  ystart[2]=0.;
  /*
   * y1 is x
   * y2 is v
   */

  t1=0.;
  t2=6.;

  nstep=600;
  nstep1=nstep+1;

  xx=vector(1,nstep1);
  y=matrix(1,nvar,1,nstep1);

  rkdumb(ystart,nvar,t1,t2,nstep,derivs);


  file = fopen("rkharm_xt.dat", "w");
  
  for(i=1;i<=nstep1;i++)
  {
     fprintf(file,"%E %E \n",xx[i],y[1][i]);
  }
 
  fclose(file);

 
  
  return 0;
}
#undef NRANSI
