PROGRAM rk4harm
! 
! Integrates an ODE describing a harmonic oscillator
!

USE nrtype
USE nr
USE rkdumb_path

implicit none
integer(I4B), PARAMETER :: nvar=2
integer(I4B) ::i,nstep,nstep1
real(SP) ystart(nvar),t1,t2

        INTERFACE
                SUBROUTINE derivs(x,y,dydx)
                USE nrtype
                IMPLICIT NONE
                REAL(SP), INTENT(IN) :: x
                REAL(SP), DIMENSION(:), INTENT(IN) :: y
                REAL(SP), DIMENSION(:), INTENT(OUT) :: dydx
                END SUBROUTINE derivs
        END INTERFACE

ystart(1)=1.
ystart(2)=0.
! y1 is x
! y2 is v


t1=0.
t2=6.

nstep=600
nstep1=nstep+1

call rkdumb(ystart,t1,t2,nstep,derivs)

open(1,file="rkharm_xt.dat",status='unknown')
do i=1,nstep1
  write(1,*)xx(i),y(1,i)
enddo
close(1)
      

deallocate(xx)
deallocate(y)

END PROGRAM
